<form class="{{cssClass}}" autocomplete="off">

    <div class="flexcol">

        <div class="flexrow ae-header">
            <img class="ae-icon" src="{{item.img}}" data-edit="img" />
            <h1 class="ae-name">
                <input name="name" type="text" value="{{item.name}}" placeholder="Name"/>
            </h1>
            <img class="ae-icon" src="{{misc.slot.icon}}" />
        </div>
    </div>

    <section class="flexcol ae-body">
        {{#if chooseBaseMisc }}
            <div class="flexcol choosing-misc">
                {{#each allSlots as |slot|}}
                    <div class="flexrow choose-menu {{slot.css}}" data-section="{{slot.sectionId}}">
                        <span class="menu-title">{{slot.name}}</span>
                        <i class="wa-tooltip far fa-question-circle" data-shortcut="{{slot.shortcut}}" data-child="{{slot.shortcutChild}}"></i>    
                    </div>
                    {{#if slot.showContent}}
                        <div class="flexcol choose-misc-panel">

                            {{#each slot.miscs as |misc|}}
                                <div class="flexrow available-base-misc" data-ref="{{misc.key}}">
                                    <img class="misc-icon wa-tooltip" src="{{misc.icon}}" data-shortcut="{{misc.shortcut}}" data-child="{{misc.shortcutChild}}">
                                    <div class="flexcol misc-desc-part">
                                        <a class="flexrow misc-name">{{misc.name}}</a>
                                        <div class="flexrow misc-affixes">
                                            {{#each misc.affixes as |affix|}}
                                                <span class="wa-link" data-shortcut="{{affix.shortcut}}" data-child="{{affix.shortcutChild}}"></span>
                                            {{/each}}
                                        </div>
                                    </div>
                                </div>
                            {{/each}}

                        </div>
                    {{/if}}
                {{/each}}

            </div>

        {{/if}}

        {{#if displayDetails }}

            <div class="flexrow misc-base-data">

                <!-- Misc base data -->
                <div class="flexcol ae-col">
                    <span class="ae-descline current-misc-base">
                        <span>{{localize 'AESYSTEM.item.misc.sheet.baseMisc'}}</span>
                        {{#if upgradable }}
                            <a class="current-misc-delete"><i class="fas fa-trash"></i></a>
                        {{/if}}
                    </span>
                    <span class="ae-descline">
                        <span class="wa-link" data-shortcut="{{misc.basedOn.shortcut}}" data-child="{{misc.basedOn.shortcutChild}}"></span>
                    </span>
                </div>
                <!-- Rarity and Price -->
                <div class="flexcol ae-col">
                    <span class="ae-descline">{{localize 'AESYSTEM.item.sheet.equipment.quality'}}</span>
                    <span class="ae-descline">{{misc.rarity.name}}</span>
                </div>
                <div class="flexcol ae-col">
                    <span class="ae-descline">{{localize 'AESYSTEM.item.sheet.equipment.price'}}</span>
                    <span class="ae-descline">{{misc.cost}}</span>
                </div>

            </div>


            <div class="ae-subsection">{{localize 'AESYSTEM.item.misc.sheet.description'}}</div>
            <div class="misc-description">
                {{editor data.system.description target="system.description" button=true owner=owner editable=upgradable}}
            </div>

            <div class="ae-subsection">{{localize 'AESYSTEM.item.misc.sheet.affixes'}}</div>
            <div class="flexcol misc-affix-list">
                {{#each miscAffixes as |affix|}}
                    <span class="ae-descline" data-ref="{{affix.key}}">
                        <span class="wa-link" data-shortcut="{{affix.shortcut}}" data-child="{{affix.shortcutChild}}"></span>
                        {{#if affix.upgradable }}
                            <a class="affix-delete"><i class="fas fa-trash"></i></a>
                        {{/if}}
                    </span>
                {{/each}}
            </div>
            {{#if upgradable }}
                <div class="ae-subsection">{{localize 'AESYSTEM.item.misc.sheet.newAffixes'}}</div>
                <div class="new-affixes">
                    {{#each affixMenus as |section|}}
                        <div class="ae-subsection">{{section.menu.name}}</div>
                        <div class="flexrow">
                            {{#each section.affixes as |affix|}}
                                <span class="new-affix-line" data-ref="{{affix.key}}">
                                    <span class="wa-link" data-shortcut="{{affix.shortcut}}" data-child="{{affix.shortcutChild}}"></span>
                                    <a class="affix-add"><i class="fas fa-plus"></i></a>
                                </span>
                            {{/each}}
                        </div>
                    {{/each}}
                </div>
            {{/if}}
        {{/if}}

    </section>

</form>
